Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Apr 2015 03:22:36 -0700

Nicolas Petton wrote:
> inserting curved quotes when the user types a single quote (or
> another character) in a string in Elisp code?  Wouldn't that be a big
> issue in other modes (or even outside of Emacs)?

I don't see why it would need to affect other modes, or affect programs other 
than Emacs.  The idea is to to make it easier for Elisp programmers to put 
curved single quotes into doc strings.  Of course there is a more-general 
problem of making it easier to use curved quotes in arbitrary contexts 
(including contexts outside Emacs), but that problem needn't be solved here.